### Constant

# FwupdPlugin QUIRKS_COUNTERPART_GUID

#### Declaration

    #define FU_QUIRKS_COUNTERPART_GUID "CounterpartGuid"

#### Description

The quirk key for the counterpart GUID, e.g. `537f7800-8529-5656-b2fa-b0901fe91696`.

A counterpart GUID is typically the GUID of the same device in bootloader or runtime mode, if they have a different device PCI or USB ID. Adding this type of GUID does not cause a “cascade” by matching using the quirk database.

If the value provided is not already a suitable GUID, it will be converted to one.